### Method

# Gtk Window set_icon_name

#### Declaration [src]

    void
    gtk_window_set_icon_name (
      GtkWindow* window,
      const char* name
    )

#### Description [src]

Sets the icon for the window from a named themed icon.

See the docs for `GtkIconTheme` for more details. On some platforms, the window icon is not used at all.

Note that this has nothing to do with the WM_ICON_NAME property which is mentioned in the ICCCM.

Sets property | `Gtk.Window:icon-name`

#### Parameters

`name` | `const char*`
| The name of the themed icon.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.